#include <bits/stdc++.h>

using namespace std;

int n,q;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);

    cin>>n;
    vector<int> a(n);
    for(int& num : a)
        cin>>num;
    vector<int> dp(n);
    dp[0]=1;
    for(int i=1; i<n; i++)
        for(int j=0; j<i; j++)
        {
            dp[i]=dp[i-1];
            if(a[i]>=a[j])
                dp[i]=max(dp[i],dp[j]+1);
        }
    cin>>q;
    while(q--)
    {
        int l,r;
        cin>>l>>r;
        l--;
        r--;
        if(l==r)
        {
            cout<<"DA"<<'\n';
            continue;
        }
        bool gasi=0;
        bool prviPut=0;
        for(int i=l+1; i<r+1; ++i)
        {
            if(dp[i]>dp[i-1])
                continue;
            if(dp[i]==dp[i-1] && !prviPut)
            {
                prviPut=true;
                continue;
            }
            if(dp[i]==dp[i-1])
            {
                gasi=1;
                break;
            }
        }
        if(gasi)
            cout<<"NE"<<'\n';
        else
            cout<<"DA"<<'\n';
    }

    return 0;

}